package net.wanji.utc.common.typeenum;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/04/03 16:26
 */
public enum CrossLightsDirEnum {
    ONE(1, 1),// 由南向北
    TWO(3, 4), // 由西向东
    THREE(5, 2),// 由北向南
    FOUR(7, 3);// 由东向西

    private final Integer lightsCode;
    private final Integer hkLightsCode;

    CrossLightsDirEnum(Integer lightsCode, Integer hkLightsCode) {
        this.lightsCode = lightsCode;
        this.hkLightsCode = hkLightsCode;
    }

    public Integer getLightsCode() {
        return lightsCode;
    }

    public Integer getHkLightsCode() {
        return hkLightsCode;
    }

    public static Integer getHkLightsCode(Integer lightsCode) {
        for (CrossLightsDirEnum value : values()) {
            if (Objects.equals(lightsCode, value.getLightsCode())) {
                return value.getHkLightsCode();
            }
        }
        return null;
    }
}
